# BEGIN SourceDeps(oneline):
BuildRequires(pre): libGConf-devel
BuildRequires: /usr/bin/gconftool-2 /usr/bin/glib-gettextize /usr/bin/pkg-config pkgconfig(glib-2.0)
# END SourceDeps(oneline)
%global _internal_version  1de6c0c

Name:           nemo-open-terminal
Version:        1.0.0
Release:        alt1_4
Summary:        Nemo extension for an open terminal shortcut

Group:          Graphical desktop/Other
License:        GPLv2+ and LGPLv2+        
URL:            https://github.com/leigh123linux/nemo-open-terminal
# To generate source
# wget https://github.com/leigh123linux/nemo-open-terminal/tarball/%%{_internal_version} -O nemo-open-terminal-%%{version}.git%%{_internal_version}.tar.gz
Source0:        http://leigh123linux.fedorapeople.org/pub/nemo-open-terminal/source/nemo-open-terminal-%{version}.tar.gz

Patch0:         upstream_commit.patch

BuildRequires:  libgnome-desktop3-devel
BuildRequires:  intltool
# need extensions
BuildRequires:  libnemo-devel

BuildRequires:  libGConf-devel
Requires(pre):  GConf2
Requires(post): GConf2
Requires(preun): GConf2
Source44: import.info

%description
The nemo-open-terminal extension provides a right-click "Open
Terminal" option for nemo users who prefer that option.


%prep
%setup -q -n leigh123linux-%{name}-%{_internal_version}
%patch0 -p1

%build
%configure --disable-static \
           --disable-schemas-install
make %{?_smp_mflags}


%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/nemo/extensions-3.0/*.la

%find_lang %{name}

%post
%gconf2_install nemo-open-terminal

%preun
if [ "$1" -eq 0 ]; then
    %gconf2_uninstall  nemo-open-terminal
fi


%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS TODO
%config %{_sysconfdir}/gconf/schemas/nemo-open-terminal.schemas
%{_libdir}/nemo/extensions-3.0/*.so*



%changelog
* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_4
- initial fc import

